# My Project Euler Solutions -> HackerRank

### [HackerRank Profile](https://www.hackerrank.com/profile/behunluk)

## Introduction
This is a code repository for the HackerRank projectEuler solutions of mine.

The solutions are being added irregularly based on my free time and will :)

- [x] [#1:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%231_MultiplesOf3And5.cpp) [Multiples of 3 and 5](https://www.hackerrank.com/contests/projecteuler/challenges/euler001/problem)
- [x] [#2:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%232_EvenFibonacciNumbers.cpp) [Even Fibonacci numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler002/problem)
- [x] [#3:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%233_LargestPrimeFactor.cpp) [Largest prime factor](https://www.hackerrank.com/contests/projecteuler/challenges/euler003/problem)
- [x] [#4:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%234_LargestPalindromeProduct.cpp) [Largest palindrome product](https://www.hackerrank.com/contests/projecteuler/challenges/euler004/problem)
- [x] [#5:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%235_SmallestMultiple.cpp) [Smallest multiple](https://www.hackerrank.com/contests/projecteuler/challenges/euler005/problem)
- [x] [#6:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%236_SumSquareDifference.cpp) [Sum square difference](https://www.hackerrank.com/contests/projecteuler/challenges/euler006/problem)
- [x] [#7:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%237_10001stPrime.cpp) [10001st prime](https://www.hackerrank.com/contests/projecteuler/challenges/euler007/problem)
- [x] [#8:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%238_LargestProductInASeries.cpp) [Largest product in a series](https://www.hackerrank.com/contests/projecteuler/challenges/euler008/problem)
- [x] [#9:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%239_SpecialPythagoreanTriplet.cpp?ref_type=heads) [Special Pythagorean triplet](https://www.hackerrank.com/contests/projecteuler/challenges/euler009/problem)
- [x] [#10:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%2310_SummationOfPrimes.cpp?ref_type=heads) [Summation of primes](https://www.hackerrank.com/contests/projecteuler/challenges/euler010/problem)
- [x] [#11:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%2311_LargestProductInAGrid.cpp?ref_type=heads) [Largest product in a grid](https://www.hackerrank.com/contests/projecteuler/challenges/euler011/problem?isFullScreen=true)
- [x] [#12:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/main/Solutions/%2312_HighlyDivisibleTriangularNumber.cpp) [Highly divisible triangular number](https://www.hackerrank.com/contests/projecteuler/challenges/euler012/problem?isFullScreen=true)
- [x] [#13:](https://gitlab.com/Behun.Lukas/projecteulerhackerrank/-/blob/main/Solutions/%2313_LargestSum.cpp?ref_type=heads) [Large sum](https://www.hackerrank.com/contests/projecteuler/challenges/euler013/problem?isFullScreen=true)
- [ ] #14: [Longest Collatz sequence](https://www.hackerrank.com/contests/projecteuler/challenges/euler014/problem?isFullScreen=true)
- [ ] #15: [Lattice paths](https://www.hackerrank.com/contests/projecteuler/challenges/euler015/problem?isFullScreen=true)
- [ ] #16: [Power digit sum](https://www.hackerrank.com/contests/projecteuler/challenges/euler016/problem)
- [ ] #17: [Number to Words](https://www.hackerrank.com/contests/projecteuler/challenges/euler017/problem)
- [ ] #18: [Maximum path sum I](https://www.hackerrank.com/contests/projecteuler/challenges/euler018/problem)
- [ ] #19: [Counting Sundays](https://www.hackerrank.com/contests/projecteuler/challenges/euler019/problem)
- [ ] #20: [Factorial digit sum](https://www.hackerrank.com/contests/projecteuler/challenges/euler020/problem)
- [ ] #21: [Amicable numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler021/problem)
- [ ] #22: [Names scores](https://www.hackerrank.com/contests/projecteuler/challenges/euler022/problem)
- [ ] #23: [Non-abundant sums](https://www.hackerrank.com/contests/projecteuler/challenges/euler023/problem)
- [ ] #24: [Lexicographic permutations](https://www.hackerrank.com/contests/projecteuler/challenges/euler024/problem)
- [ ] #25: [N-digit Fibonacci number](https://www.hackerrank.com/contests/projecteuler/challenges/euler025/problem)
- [ ] #26: [Reciprocal cycles](https://www.hackerrank.com/contests/projecteuler/challenges/euler026/problem)
- [ ] #27: [Quadratic primes](https://www.hackerrank.com/contests/projecteuler/challenges/euler027/problem)
- [ ] #28: [Number spiral diagonals](https://www.hackerrank.com/contests/projecteuler/challenges/euler028/problem)
- [ ] #29: [Distinct powers](https://www.hackerrank.com/contests/projecteuler/challenges/euler029/problem)
- [ ] #30: [Digit Nth powers](https://www.hackerrank.com/contests/projecteuler/challenges/euler030/problem)
- [ ] #31: [Coin sums](https://www.hackerrank.com/contests/projecteuler/challenges/euler031/problem)
- [ ] #32: [Pandigital products](https://www.hackerrank.com/contests/projecteuler/challenges/euler032/problem)
- [ ] #33: [Digit canceling fractions](https://www.hackerrank.com/contests/projecteuler/challenges/euler033/problem)
- [ ] #34: [Digit factorials](https://www.hackerrank.com/contests/projecteuler/challenges/euler034/problem)
- [ ] #35: [Circular primes](https://www.hackerrank.com/contests/projecteuler/challenges/euler035/problem)
- [ ] #36: [Double-base palindromes](https://www.hackerrank.com/contests/projecteuler/challenges/euler036/problem)
- [ ] #37: [Truncatable primes](https://www.hackerrank.com/contests/projecteuler/challenges/euler037/problem)
- [ ] #38: [Pandigital multiples](https://www.hackerrank.com/contests/projecteuler/challenges/euler038/problem)
- [ ] #39: [Integer right triangles](https://www.hackerrank.com/contests/projecteuler/challenges/euler039/problem)
- [ ] #40: [Champernowne's constant](https://www.hackerrank.com/contests/projecteuler/challenges/euler040/problem)
- [ ] #41: [Pandigital prime](https://www.hackerrank.com/contests/projecteuler/challenges/euler041/problem)
- [ ] #42: [Coded triangle numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler042/problem)
- [ ] #43: [Sub-string divisibility](https://www.hackerrank.com/contests/projecteuler/challenges/euler043/problem)
- [ ] #44: [Pentagon numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler044/problem)
- [ ] #45: [Triangular, pentagonal, and hexagonal](https://www.hackerrank.com/contests/projecteuler/challenges/euler045/problem)
- [ ] #46: [Goldbach's other conjecture](https://www.hackerrank.com/contests/projecteuler/challenges/euler046/problem)
- [ ] #47: [Distinct primes factors](https://www.hackerrank.com/contests/projecteuler/challenges/euler047/problem)
- [ ] #48: [Self powers](https://www.hackerrank.com/contests/projecteuler/challenges/euler048/problem)
- [ ] #49: [Prime permutations](https://www.hackerrank.com/contests/projecteuler/challenges/euler049/problem)
- [ ] #50: [Consecutive prime sum](https://www.hackerrank.com/contests/projecteuler/challenges/euler050/problem)
- [ ] #51: [Prime digit replacements](https://www.hackerrank.com/contests/projecteuler/challenges/euler051/problem)
- [ ] #52: [Permuted multiples](https://www.hackerrank.com/contests/projecteuler/challenges/euler052/problem)
- [ ] #53: [Combinatoric selections](https://www.hackerrank.com/contests/projecteuler/challenges/euler053/problem)
- [ ] #54: [Poker hands](https://www.hackerrank.com/contests/projecteuler/challenges/euler054/problem)
- [ ] #55: [Lychrel numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler055/problem)
- [ ] #56: [Powerful digit sum](https://www.hackerrank.com/contests/projecteuler/challenges/euler056/problem)
- [ ] #57: [Square root convergents](https://www.hackerrank.com/contests/projecteuler/challenges/euler057/problem)
- [ ] #58: [Spiral primes](https://www.hackerrank.com/contests/projecteuler/challenges/euler058/problem)
- [ ] #59: [XOR decryption](https://www.hackerrank.com/contests/projecteuler/challenges/euler059/problem)
- [ ] #60: [Prime pair sets](https://www.hackerrank.com/contests/projecteuler/challenges/euler060/problem)
- [ ] #61: [Cyclical figurate numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler061/problem)
- [ ] #62: [Cubic permutations](https://www.hackerrank.com/contests/projecteuler/challenges/euler062/problem)
- [ ] #63: [Powerful digit counts](https://www.hackerrank.com/contests/projecteuler/challenges/euler063/problem)
- [ ] #64: [Odd period square roots](https://www.hackerrank.com/contests/projecteuler/challenges/euler064/problem)
- [ ] #65: [Convergents of e](https://www.hackerrank.com/contests/projecteuler/challenges/euler065/problem)
- [ ] #66: [Diophantine equation](https://www.hackerrank.com/contests/projecteuler/challenges/euler066/problem)
- [ ] #67: [Maximum path sum II](https://www.hackerrank.com/contests/projecteuler/challenges/euler067/problem)
- [ ] #68: [Magic N-gon ring](https://www.hackerrank.com/contests/projecteuler/challenges/euler068/problem)
- [ ] #69: [Totient maximum](https://www.hackerrank.com/contests/projecteuler/challenges/euler069/problem)
- [ ] #70: [Totient permutation](https://www.hackerrank.com/contests/projecteuler/challenges/euler070/problem)
- [ ] #71: [Ordered fractions](https://www.hackerrank.com/contests/projecteuler/challenges/euler071/problem)
- [ ] #72: [Counting fractions](https://www.hackerrank.com/contests/projecteuler/challenges/euler072/problem)
- [ ] #73: [Counting fractions in a range](https://www.hackerrank.com/contests/projecteuler/challenges/euler073/problem)
- [ ] #74: [Digit factorial chains](https://www.hackerrank.com/contests/projecteuler/challenges/euler074/problem)
- [ ] #75: [Singular integer right triangles](https://www.hackerrank.com/contests/projecteuler/challenges/euler075/problem)
- [ ] #76: [Counting summations](https://www.hackerrank.com/contests/projecteuler/challenges/euler076/problem)
- [ ] #77: [Prime summations](https://www.hackerrank.com/contests/projecteuler/challenges/euler077/problem)
- [ ] #78: [Coin partitions](https://www.hackerrank.com/contests/projecteuler/challenges/euler078/problem)
- [ ] #79: [Passcode derivation](https://www.hackerrank.com/contests/projecteuler/challenges/euler079/problem)
- [ ] #80: [Square root digital expansion](https://www.hackerrank.com/contests/projecteuler/challenges/euler080/problem)
- [ ] #81: [Path sum: two ways](https://www.hackerrank.com/contests/projecteuler/challenges/euler081/problem)
- [ ] #82: [Path sum: three ways](https://www.hackerrank.com/contests/projecteuler/challenges/euler082/problem)
- [ ] #83: [Path sum: four ways](https://www.hackerrank.com/contests/projecteuler/challenges/euler083/problem)
- [ ] #84: [Monopoly odds](https://www.hackerrank.com/contests/projecteuler/challenges/euler084/problem)
- [ ] #85: [Counting rectangles](https://www.hackerrank.com/contests/projecteuler/challenges/euler085/problem)
- [ ] #86: [Cuboid route](https://www.hackerrank.com/contests/projecteuler/challenges/euler086/problem)
- [ ] #87: [Prime power triples](https://www.hackerrank.com/contests/projecteuler/challenges/euler087/problem)
- [ ] #88: [Product-sum numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler088/problem)
- [ ] #89: [Roman numerals](https://www.hackerrank.com/contests/projecteuler/challenges/euler089/problem)
- [ ] #90: [Cube digit pairs](https://www.hackerrank.com/contests/projecteuler/challenges/euler090/problem)
- [ ] #91: [Right triangles with integer coordinates](https://www.hackerrank.com/contests/projecteuler/challenges/euler091/problem)
- [ ] #92: [Square digit chains](https://www.hackerrank.com/contests/projecteuler/challenges/euler092/problem)
- [ ] #93: [Arithmetic expressions](https://www.hackerrank.com/contests/projecteuler/challenges/euler093/problem)
- [ ] #94: [Almost equilateral triangles](https://www.hackerrank.com/contests/projecteuler/challenges/euler094/problem)
- [ ] #95: [Amicable chains](https://www.hackerrank.com/contests/projecteuler/challenges/euler095/problem)
- [ ] #96: [Su Doku](https://www.hackerrank.com/contests/projecteuler/challenges/euler096/problem)
- [ ] #97: [Large non-Mersenne prime](https://www.hackerrank.com/contests/projecteuler/challenges/euler097/problem)
- [ ] #98: [Anagramic squares](https://www.hackerrank.com/contests/projecteuler/challenges/euler098/problem)
- [ ] #99: [Largest exponential](https://www.hackerrank.com/contests/projecteuler/challenges/euler099/problem)
- [ ] #100: [Arranged probability](https://www.hackerrank.com/contests/projecteuler/challenges/euler100/problem)
- [ ] #101: [Optimum polynomial](https://www.hackerrank.com/contests/projecteuler/challenges/euler101/problem)
- [ ] #102: [Triangle containment](https://www.hackerrank.com/contests/projecteuler/challenges/euler102/problem)
- [ ] #103: [Special subset sums: optimum](https://www.hackerrank.com/contests/projecteuler/challenges/euler103/problem)
- [ ] #104: [Pandigital Fibonacci ends](https://www.hackerrank.com/contests/projecteuler/challenges/euler104/problem)
- [ ] #105: [Special subset sums: testing](https://www.hackerrank.com/contests/projecteuler/challenges/euler105/problem)
- [ ] #106: [Special subset sums: meta-testing](https://www.hackerrank.com/contests/projecteuler/challenges/euler106/problem)
- [ ] #107: [Minimal network](https://www.hackerrank.com/contests/projecteuler/challenges/euler107/problem)
- [ ] #108: [Diophantine reciprocals I](https://www.hackerrank.com/contests/projecteuler/challenges/euler108/problem)
- [ ] #109: [Darts](https://www.hackerrank.com/contests/projecteuler/challenges/euler109/problem)
- [ ] #110: [Diophantine reciprocals II](https://www.hackerrank.com/contests/projecteuler/challenges/euler110/problem)
- [ ] #111: [Primes with runs](https://www.hackerrank.com/contests/projecteuler/challenges/euler111/problem)
- [ ] #112: [Bouncy numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler112/problem)
- [ ] #113: [Non-bouncy numbers](https://www.hackerrank.com/contests/projecteuler/challenges/euler113/problem)
- [ ] #114: [Counting block combinations I](https://www.hackerrank.com/contests/projecteuler/challenges/euler114/problem)
- [ ] #115: [Counting block combinations II](https://www.hackerrank.com/contests/projecteuler/challenges/euler115/problem)
- [ ] #116: [Red, green or blue tiles](https://www.hackerrank.com/contests/projecteuler/challenges/euler116/problem)
- [ ] #117: [Red, green, and blue tiles](https://www.hackerrank.com/contests/projecteuler/challenges/euler117/problem)
- [ ] #118: [Pandigital prime sets](https://www.hackerrank.com/contests/projecteuler/challenges/euler118/problem)
- [ ] #119: [Digit power sum](https://www.hackerrank.com/contests/projecteuler/challenges/euler119/problem)
- [ ] #120: [Square remainders](https://www.hackerrank.com/contests/projecteuler/challenges/euler120/problem)
- [ ] #121: [Disc game prize fund](https://www.hackerrank.com/contests/projecteuler/challenges/euler121/problem)
- [ ] #122: [Efficient exponentiation](https://www.hackerrank.com/contests/projecteuler/challenges/euler122/problem)
- [ ] #123: [Prime square remainders](https://www.hackerrank.com/contests/projecteuler/challenges/euler123/problem)
- [ ] #124: [Ordered radicals](https://www.hackerrank.com/contests/projecteuler/challenges/euler124/problem)
- [ ] #125: [Palindromic sums](https://www.hackerrank.com/contests/projecteuler/challenges/euler125/problem)
- [ ] #126: [Cuboid layers](https://www.hackerrank.com/contests/projecteuler/challenges/euler126/problem)
- [ ] #127: [abc-hits](https://www.hackerrank.com/contests/projecteuler/challenges/euler127/problem)
- [ ] #128: [Hexagonal tile differences](https://www.hackerrank.com/contests/projecteuler/challenges/euler128/problem)
- [ ] #129: [Repunit divisibility](https://www.hackerrank.com/contests/projecteuler/challenges/euler129/problem)
- [ ] #130: [Composites with prime repunit property](https://www.hackerrank.com/contests/projecteuler/challenges/euler130/problem)
- [ ] #131: [Prime cube partnership](https://www.hackerrank.com/contests/projecteuler/challenges/euler131/problem)
- [ ] #132: [Large repunit factors](https://www.hackerrank.com/contests/projecteuler/challenges/euler132/problem)
- [ ] #133: [Repunit nonfactors](https://www.hackerrank.com/contests/projecteuler/challenges/euler133/problem)
- [ ] #134: [Prime pair connection](https://www.hackerrank.com/contests/projecteuler/challenges/euler134/problem)
- [ ] #135: [Same differences](https://www.hackerrank.com/contests/projecteuler/challenges/euler135/problem)
- [ ] #136: [Singleton difference](https://www.hackerrank.com/contests/projecteuler/challenges/euler136/problem)
- [ ] #137: [Fibonacci golden nuggets](https://www.hackerrank.com/contests/projecteuler/challenges/euler137/problem)
- [ ] #138: [Special isosceles triangles](https://www.hackerrank.com/contests/projecteuler/challenges/euler138/problem)
- [ ] #139: [Pythagorean tiles](https://www.hackerrank.com/contests/projecteuler/challenges/euler139/problem)
- [ ] #140: [Modified Fibonacci golden nuggets](https://www.hackerrank.com/contests/projecteuler/challenges/euler140/problem)
- [ ] #141: [Investigating progressive numbers, n, which are also square.](https://www.hackerrank.com/contests/projecteuler/challenges/euler141/problem)
- [ ] #142: [Perfect Square Collection](https://www.hackerrank.com/contests/projecteuler/challenges/euler142/problem)
- [ ] #143: [Investigating the Torricelli point of a triangle](https://www.hackerrank.com/contests/projecteuler/challenges/euler143/problem)
- [ ] #144: [Investigating multiple reflections of a laser beam.](https://www.hackerrank.com/contests/projecteuler/challenges/euler144/problem)
- [ ] #145: [How many reversible numbers are there below one-billion?](https://www.hackerrank.com/contests/projecteuler/challenges/euler145/problem)
- [ ] #146: [Investigating a Prime Pattern](https://www.hackerrank.com/contests/projecteuler/challenges/euler146/problem)
- [ ] #147: [Rectangles in cross-hatched grids](https://www.hackerrank.com/contests/projecteuler/challenges/euler147/problem)
- [ ] #148: [Exploring Pascal's triangle.](https://www.hackerrank.com/contests/projecteuler/challenges/euler148/problem)
- [ ] #149: [Searching for a maximum-sum subsequence.](https://www.hackerrank.com/contests/projecteuler/challenges/euler149/problem)
- [ ] #150: [Searching a triangular array for a sub-triangle having minimum-sum.](https://www.hackerrank.com/contests/projecteuler/challenges/euler150/problem)
- [ ] #151: [Paper sheets of standard sizes: an expected-value problem.](https://www.hackerrank.com/contests/projecteuler/challenges/euler151/problem)
